package com.imooc.demo.dao;

import static org.junit.Assert.assertEquals;

import java.util.Date;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import com.imooc.demo.entity.Area;

@RunWith(SpringRunner.class)
@SpringBootTest
public class AreaDaoTest {
	
	@Autowired
	private AreaDao areaDao;
	
	@Test
	public void queryArea() {
		List<Area> arealiat = areaDao.queryArea();
		
	}
	
	@Test
	public void queryAreaById() {
		Area area = areaDao.queryAreaById(1);
		assertEquals("东苑", area.getAreaName());
		
	}
	
	@Test
	public void insertArea() {
		Area area = new Area();
		area.setAreaName("南苑");
		area.setPriority(1);
		int insertArea = areaDao.insertArea(area);
		
		
	}
	@Test
	public void updateArea() {
		Area area = new Area();
		area.setAreaName("西苑");
		area.setAreaId(3);
		area.setLastEditTime(new Date());
		areaDao.updateArea(area);
		
	}
	@Test
	public void deleteArea() {
		areaDao.deleteArea(5);
	}
}
